Bug 1443965 - Libvirt is disabled on RHVH host
Summary: Libvirt is disabled on RHVH host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhev-hypervisor-ng
Version: 4.0.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: cshao
URL:
Whiteboard:
Depends On:
Blocks: 1453162
TreeView+ depends on / blocked
 
Reported: 2017-04-20 11:01 UTC by Lukas Svaty
Modified: 2019-05-16 13:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1453162 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:57:40 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC
oVirt gerrit 75701 0 master MERGED host: Enable libvirtd service in the preset 2020-03-16 09:29:57 UTC
oVirt gerrit 75721 0 ovirt-4.1 MERGED host: Enable libvirtd service in the preset 2020-03-16 09:29:57 UTC

Description Lukas Svaty 2017-04-20 11:01:03 UTC
# imgbase w
[INFO] You are on rhvh-4.0-0.20170307.0+1

# systemctl status libvirtd
● libvirtd.service - Virtualization daemon
   Loaded: loaded (/usr/lib/systemd/system/libvirtd.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/libvirtd.service.d
           └─unlimited-core.conf
   Active: active (running) since Wed 2017-03-29 09:11:07 CEST; 5min ago
     Docs: man:libvirtd(8)
           http://libvirt.org
 Main PID: 1952 (libvirtd)
   CGroup: /system.slice/libvirtd.service
           └─1952 /usr/sbin/libvirtd

Additional info:
Should be enabled or the same as for RHEL based hosts.

Comment 2 cshao 2017-04-24 05:58:15 UTC
QE can reproduce this issue.

Test version:
rhvh-4.0-0.20170307.0+1
imgbased-0.8.16-0.1.el7ev.noarch

Test step:
1. Install rhvh-4.0-0.20170307.0+1.
2. Check libvirtd server status.
# systemctl status libvirtd
● libvirtd.service - Virtualization daemon
   Loaded: loaded (/usr/lib/systemd/system/libvirtd.service; disabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/libvirtd.service.d
           └─unlimited-core.conf
   Active: active (running) since Mon 2017-04-24 03:28:17 CST; 2h 33min ago
     Docs: man:libvirtd(8)
           http://libvirt.org
 Main PID: 1369 (libvirtd)
   CGroup: /system.slice/libvirtd.service
           └─1369 /usr/sbin/libvirtd

Comment 4 Sandro Bonazzola 2017-05-09 09:30:00 UTC
Ryan, is this fixed in 4.1.2?

Comment 5 Ryan Barry 2017-05-09 15:09:58 UTC
Not downstream, but we'll need another build, so we can get it in.

This shouldn't have been merged upstream until after 4.1.2 released, either.

We should align. Either revert the patch to ovirt-4.1 upstream or pull downstream. Since we already released 4.1.2_rc1 with this upstream, I'm in favor of the latter.

Comment 6 Sandro Bonazzola 2017-05-22 09:44:28 UTC
(In reply to Ryan Barry from comment #5)
> Not downstream, but we'll need another build, so we can get it in.
> 
> This shouldn't have been merged upstream until after 4.1.2 released, either.
> 
> We should align. Either revert the patch to ovirt-4.1 upstream or pull
> downstream. Since we already released 4.1.2_rc1 with this upstream, I'm in
> favor of the latter.

Let's pull downstream. Cloning to zstream.

Comment 8 cshao 2017-10-31 09:51:45 UTC
Test version:
redhat-virtualization-host-4.2-20171011.2
imgbased-1.0.1-0.1.el7ev.noarch
libvirt-client-3.2.0-14.el7_4.3.x86_64
libvirt-daemon-3.2.0-14.el7_4.3.x86_64

# systemctl status libvirtd
● libvirtd.service - Virtualization daemon
   Loaded: loaded (/usr/lib/systemd/system/libvirtd.service; enabled; vendor preset: enabled)
  Drop-In: /etc/systemd/system/libvirtd.service.d
           └─unlimited-core.conf
   Active: active (running) since Tue 2017-10-31 17:47:13 CST; 1min 31s ago
     Docs: man:libvirtd(8)
           http://libvirt.org
 Main PID: 25178 (libvirtd)
   CGroup: /system.slice/libvirtd.service
           └─25178 /usr/sbin/libvirtd --listen

Test result:
Libvirt is enable status on RHVH host, so the bug is fixed, change bug status to VERIFIED.

Comment 10 cshao 2018-04-24 05:48:32 UTC
re-verify this bug on redhat-virtualization-host-4.2-20180420.0.
libvirt-client-3.9.0-14.el7_5.2.x86_64
libvirt-daemon-3.9.0-14.el7_5.2.x86_64
imgbased-1.0.13-0.1.el7ev.noarch

Libvirt is enable status on RHVH host, so the bug is fixed, change bug status to VERIFIED.

Comment 13 errata-xmlrpc 2018-05-15 17:57:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 14 Franta Kust 2019-05-16 13:07:21 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.